.article-editor {
  .ce-header {
    margin-top: 0;
  }

  .ce-popover--opened {
    right: -56px;
  }

  &.article-with-borders {
    background-color: $input-bg;
    border: $input-border-width solid $input-border-color;
    padding: 0 $input-padding-x;
    transition: $input-transition;
    border-radius: $input-border-radius;

    &:focus,
    &:focus-within {
      color: $input-focus-color;
      background-color: $input-focus-bg;
      border-color: $input-focus-border-color;
      outline: 0;
      box-shadow: $input-focus-box-shadow;
    }

    .alert {
      margin-top: $spacer;
    }

    .ce-block:first-child {
      h1,
      h2,
      h3,
      h4,
      h5,
      h6 {
        margin-top: 0;
        padding-top: $spacer * 0.4;
      }
    }
  }

  @media only screen and (min-width: 651px) {
    .ce-toolbar__actions--opened {
      right: 0;
    }

    .ce-settings--opened {
      left: -50px;
    }
  }
}
